Create API key
Create a new API key with specified permissions and metadata. The encrypted bearer API key is returned once. Browse request parameters, authentication…
Create a new API key with specified permissions and metadata. The encrypted bearer API key is returned once.
Authorization
bearerAuth AuthorizationBearer <token>
Use an Admin Center JWT access token to list, create, or delete API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/integrations/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "Production Integration", "role": "account_manager" }'{
"success": true,
"data": {
"token": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"token": "tc_ak1.v1.TLQhMGWt1YkeNn4o.xxesrrndySbd0VNpxQytnw.lTZ_EzknNTnY4R7azczVjsNxgdhRanE2N9Sv_28WK0UlLjQiMdkO-8Awb4OIXYf59vWUaVWvjMi2zZPbWyFqeleexj63I-jvMn4mHgck7PlBMfiwUENJM7u5hTz9qhxR",
"role": "0f3d9f4e-7fcb-45f1-8824-95cb11b2b2d6",
"expires_at": "2025-12-31T23:59:59Z",
"created_at": "2025-01-01T10:00:00Z"
},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
}{
"error": "Invalid input: role: Invalid option"
}Empty
Empty
Empty
How is this guide?